// Background ChangerDlg.h : header file
//

#if !defined(AFX_BACKGROUNDCHANGERDLG_H__8C0B5887_9292_11D2_ABF1_E411FEC08301__INCLUDED_)
#define AFX_BACKGROUNDCHANGERDLG_H__8C0B5887_9292_11D2_ABF1_E411FEC08301__INCLUDED_

#include "SplashScreen.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CBackgroundChangerDlg dialog

class CBackgroundChangerDlg : public CDialog
{
// Construction
public:
	CBackgroundChangerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBackgroundChangerDlg)
	enum { IDD = IDD_BACKGROUNDCHANGER_DIALOG };
	CButton	m_Remove_All;
	CButton	m_Remove;
	CButton	m_Change;
	CButton	m_Centre;
	CButton	m_Browse;
	CButton	m_Apply;
	CStatic	m_Current;
	CButton	m_Disable;
	CStatic	m_No_of_files;
	CListBox	m_File_List;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBackgroundChangerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBackgroundChangerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowse();
	afx_msg void OnAboutbox();
	afx_msg void OnApply();
	afx_msg void OnRemove();
	afx_msg void OnRemoveAll();
	virtual void OnOK();
	afx_msg void OnChangeNow();
	afx_msg void OnDisableApp();
	afx_msg void OnStretch();
	afx_msg void OnTile();
	afx_msg void OnCentre();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHlp();
	afx_msg void OnSource();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeFileList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL EnableControls(BOOL bEnable=TRUE);
	UINT Timer;
	CSplashScreen *m_Sp_Scr;
	CString GetCurrent();
	void SetModified(BOOL flag);
	BOOL Modified;
	CString Enable;//1-Enabled; 0-Disabled
//	CString Splash;//1-Enabled; 0-Disabled
	WORD No_of_files;
	CString Arrangement; //0-Centred, 1-tiled, 2-Stretched
	CString Current;
	CString Next_in_line;
	CString InitDir;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BACKGROUNDCHANGERDLG_H__8C0B5887_9292_11D2_ABF1_E411FEC08301__INCLUDED_)
