// Setup.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "Setup.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetupApp

BEGIN_MESSAGE_MAP(CSetupApp, CWinApp)
	//{{AFX_MSG_MAP(CSetupApp)
	//}}AFX_MSG_MAP
	// Standard file based document commands
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetupApp construction

CSetupApp::CSetupApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CSetupApp object

CSetupApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CSetupApp initialization

BOOL CSetupApp::InitInstance()
{
	//Registering "NOCLOSEDIALOG" window class for the Dialog Step4


	WNDCLASS wndclass;
	wndclass.style=CS_HREDRAW|CS_VREDRAW|CS_NOCLOSE;
	wndclass.lpfnWndProc=DefDlgProc;
	wndclass.cbClsExtra=0;
	wndclass.cbWndExtra=DLGWINDOWEXTRA;
	wndclass.hInstance=m_hInstance;
	wndclass.hIcon=LoadIcon(IDR_MAINFRAME);
	wndclass.hCursor=::LoadCursor(NULL,IDC_ARROW);
	wndclass.hbrBackground=(HBRUSH)GetStockObject(WHITE_BRUSH);
	wndclass.lpszMenuName=NULL;	
	wndclass.lpszClassName="NOCLOSEDIALOG";                  
	if(!RegisterClass(&wndclass))
	{
		AfxMessageBox("Error registering a class.\nSetup cannot proceed",MB_OK|MB_ICONSTOP);
		return FALSE;
	}


	//Creating and displaying MainFrame window

	CMainFrame *Window;
	Window=new CMainFrame;
	m_pMainWnd=Window;
	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();
	Window->AfterCreation();
	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CSetupApp commands

BOOL CSetupApp::CreateDirs(LPCSTR Folder,int Length)
{
	char str[_MAX_PATH];
	BOOL ret=FALSE;
	int i;
	CString Temp;

	for(i=0;i<Length;i++)
	{
		Temp+=Folder[i];
		if(i>3 && Folder[i]=='\\')
			CreateDirectory(Temp,NULL);
	}
	CreateDirectory(Temp,NULL);
	i=GetCurrentDirectory(_MAX_PATH,str);
	ret=SetCurrentDirectory(Folder);
	
	if(i!=0)
		SetCurrentDirectory(str); //Resetting the current folder back to original

	return ret;
}
