// Step1.cpp : implementation file
//

#include "stdafx.h"
#include "Setup.h"
#include "Step1.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStep1 dialog
extern CSetupApp theApp;

CStep1::CStep1(CWnd* pParent /*=NULL*/)
	: CDialog(CStep1::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStep1)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}


void CStep1::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStep1)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStep1, CDialog)
	//{{AFX_MSG_MAP(CStep1)
	ON_BN_CLICKED(IDC_NEXT, OnNext)
	ON_BN_CLICKED(IDABORT, OnAbort)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStep1 message handlers

void CStep1::OnNext() 
{
	char string[_MAX_PATH];
	CString CabFile;
	int i;
	HANDLE hFind;
	WIN32_FIND_DATA fd;

	GetModuleFileName(NULL,string,_MAX_PATH);
	CabFile=string;
	i=CabFile.ReverseFind('\\');
	CabFile=CabFile.Left(i);
	CabFile+="\\Wall1.cab";
	hFind=FindFirstFile(CabFile,&fd);
	if(hFind==INVALID_HANDLE_VALUE)
	{
		AfxMessageBox("The files 'Wall1.cab' must be in the same folder as this file 'Setup.exe' for the installation to succeed.\nInstallation of Wallpaper Changer 1.1 is being aborted.",MB_OK|MB_ICONSTOP);
		EndDialog(IDCANCEL);
		FindClose(hFind);
		return;
	}
	i=CabFile.GetLength();
	CabFile.SetAt(i-5,'2');
	hFind=FindFirstFile(CabFile,&fd);
	if(hFind==INVALID_HANDLE_VALUE)
	{
		AfxMessageBox("The files 'Wall2.cab' must be in the same folder as this file 'Setup.exe' for the installation to succeed.\nInstallation of Wallpaper Changer 1.1 is being aborted.",MB_OK|MB_ICONSTOP);
		EndDialog(IDCANCEL);
		FindClose(hFind);
		return;
	}
	FindClose(hFind);
	if(m_Step2_dlg.DoModal()==IDC_BACK)
		ShowWindow(SW_SHOW);
	else
		EndDialog(IDC_NEXT);
}

void CStep1::OnAbort() 
{
	EndDialog(IDCANCEL);
	
}


BOOL CStep1::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	//Extra initialization 

	CWaitCursor wait;    // display wait cursor

	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	
	char str[_MAX_PATH]="";
	HKEY hKey;
	LONG ret;
	OSVERSIONINFO Version;
	//Checking the platform
	Version.dwOSVersionInfoSize=sizeof(OSVERSIONINFO);
	if(GetVersionEx(&Version))
	{
		if(Version.dwPlatformId ==VER_PLATFORM_WIN32_NT)
		{
			if(AfxMessageBox("Wallpaper Changer 1.1 has not been tested on Windows NT.\nUse it at your own risk!\nAre you sure you want to proceed with installation?",MB_YESNO|MB_DEFBUTTON2)==IDNO)
				EndDialog(IDCANCEL);
		}
		else if(Version.dwPlatformId==VER_PLATFORM_WIN32s)
		{
			if(AfxMessageBox("Wallpaper Changer 1.1 has not been tested on Windows 3.x.\nUse it at your own risk!\nAre you sure you want to proceed with installation?",MB_YESNO|MB_DEFBUTTON2)==IDNO)
				EndDialog(IDCANCEL);
		}
	}


	
	//Checking for previous installations
	if(RegOpenKeyEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Purayidam Software\\Wallpaper Changer",
		0,KEY_QUERY_VALUE,&hKey)==ERROR_SUCCESS)
	{
		ret=RegEnumKey(hKey,0,str,_MAX_PATH);
		RegCloseKey(hKey);
		if(ret!=ERROR_NO_MORE_ITEMS)
		{
			if(strcmp(str,"1.1")==0)
			{
				//	Do Nothing
				//	if(AfxMessageBox("Setup has detected a previous installation of Wallpaper Changer 1.1.\n\nIt is suggested that the previous installation be uninstalled before proceeding with this installation.\nAre you sure you want to proceed?",MB_YESNO|MB_DEFBUTTON2|MB_ICONSTOP)==IDNO)
				//		EndDialog(IDCANCEL);
			}
			else if (strcmp(str,"1.0")!=0)
			{
				if(AfxMessageBox("Setup has detected a newer version of Wallpaper Changer installed on this system.\nIt is strongly recomended that the newer version be uninstalled before proceeding with this installation.\nAre you sure you want to proceed?",MB_YESNO|MB_DEFBUTTON2|MB_ICONSTOP)==IDNO)
					EndDialog(IDCANCEL);
			}
		}
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
