// Step4.cpp : implementation file
//

#include "stdafx.h"
#include "Setup.h"
#include "Step4.h"
#include "Link.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStep4 dialog

extern CSetupApp theApp;


CStep4::CStep4(CWnd* pParent /*=NULL*/)
	: CDialog(CStep4::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStep4)
	//}}AFX_DATA_INIT
	NoOfTimes=0;
}


void CStep4::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStep4)
	DDX_Control(pDX, IDOK, m_Ok);
	DDX_Control(pDX, IDC_MESSAGE, m_Message);
	DDX_Control(pDX, IDC_PROGRESS, m_Progress);
	DDX_Control(pDX, IDC_CHECK3, m_Check3);
	DDX_Control(pDX, IDC_CHECK2, m_Check2);
	DDX_Control(pDX, IDC_CHECK1, m_Check1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStep4, CDialog)
	//{{AFX_MSG_MAP(CStep4)
	ON_WM_SHOWWINDOW()
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStep4 message handlers

void CStep4::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CWnd *pParent=NULL;

	CDialog::OnShowWindow(bShow, nStatus);
	
	if(bShow==TRUE)
	{
		pParent=GetParent();
		if(pParent!=NULL)
			pParent->ShowWindow(SW_HIDE);
		theApp.m_pMainWnd->RedrawWindow();
	}

}


void CStep4::OnCancel() 
{
	return;//Ignoring this message
}

void CStep4::OnOK() 
{
	CString Path=theApp.InstFolder;
	Path+="Wallpaper Changer.exe";		
	SetCurrentDirectory(theApp.InstFolder);
	WinExec(Path,SW_SHOW);	
/*	CreateProcess(NULL,Path,NULL,NULL,FALSE,
		NORMAL_PRIORITY_CLASS,NULL,theApp.InstFolder,
*/

	CDialog::OnOK();
}

void CStep4::OnTimer(UINT nIDEvent) 
{
	KillTimer(TimerID);	
	BeginInstall();
	CDialog::OnTimer(nIDEvent);
}

BOOL CStep4::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	TimerID=SetTimer(MY_TIMER,1000,NULL);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CStep4::BeginInstall()
{
	CWaitCursor wait;    // display wait cursor
	NoOfTimes++;
	HKEY hKey;
	DWORD disp;
	LPSTR str,str1;

	int i,j;
	char Common[_MAX_PATH]="";
	char string[_MAX_PATH]="";
	char System[_MAX_PATH]="";
	char TempFile[_MAX_PATH]="";
	UINT Length = _MAX_PATH;
	
	unsigned long size =_MAX_PATH;

	if(NoOfTimes!=1)
		return FALSE;

	CString Path=theApp.InstFolder,CmdLine,StMnu,Temp1;

	//Finding the Common Files Folder & Creating it if necessary
	if(RegOpenKeyEx(HKEY_LOCAL_MACHINE,REGSTR_PATH_SETUP,
			0,KEY_QUERY_VALUE,&hKey)==ERROR_SUCCESS)
	{
		RegQueryValueEx(hKey,"CommonFilesDir",0,NULL,(BYTE *)Common,&size);
		RegCloseKey(hKey);
	}
	if(strlen(Common)==0)
		strcpy(Common,"C:\\Program Files\\Common Files\\");

	Temp1=Common;
	Temp1.TrimRight();
	Temp1.TrimLeft();
	if(Temp1[Temp1.GetLength()-1]=='\\')
	{
		Temp1.SetAt(Temp1.GetLength()-1,' ');
		Temp1.TrimRight();
	}
	strcpy(Common,Temp1);
	
	if(theApp.CreateDirs(Common,strlen(Common))==FALSE)
	{
		AfxMessageBox("Setup encountered an error while creating a folder.\nSetup is being aborted",MB_OK|MB_ICONSTOP);
		CDialog::OnCancel();
		return FALSE;
	}

	//Creating Start Menu folder 
	if(theApp.All_Programs.GetLength()!=0)
		StMnu=theApp.All_Programs;
	else
		StMnu=theApp.Programs;

	i=StMnu.GetLength() - 1;
	if(StMnu[i]!='\\')
		StMnu+='\\';
	StMnu+=theApp.St_Mnu_Item;
	CreateDirectory(StMnu,NULL);

	m_Progress.SetPos(5);
	UpdateWindow();

	//Extract Files
		//Setting source and destination folders

	m_Cab.Destination=theApp.InstFolder;
	GetCab(string);
	CmdLine=string;

	i=CmdLine.GetLength();
	str=CmdLine.GetBuffer(i);
	
	if(m_Cab.Extract(str)!=TRUE)
	{
		CDialog::OnCancel();
		return FALSE;
	}
	str[i - 5 ] = '2';
	if(m_Cab.Extract(str)!=TRUE)
	{
		CDialog::OnCancel();
		return FALSE;
	}

	CmdLine.ReleaseBuffer(i);

	//Copy README.TXT 
	GetReadMe(string);
	Temp1=string;
	BOOL ret=CopyFile(Temp1,(LPCSTR)(theApp.InstFolder+"Readme.txt"),FALSE);
	m_Check1.ShowWindow(SW_SHOW);
	m_Progress.SetPos(20);
	UpdateWindow();

	//Copy DLLs to System folder
	CString Source = theApp.InstFolder;
	i = Source.GetLength();
	str = Source.GetBuffer(i);
	GetSystemDirectory(System, MAX_PATH);
	DWORD Success = VerInstallFile(0, "MSVCRT.DLL", "MSVCRT.DLL", str,
		System, System, TempFile, &Length);
	Source.ReleaseBuffer( i );
	

	//Make Registry Entries
	i=Path.GetLength();
	str=Path.GetBuffer(i);
	j=StMnu.GetLength();
	str1=StMnu.GetBuffer(j);

		//Product version and installation folder entries

	if(RegOpenKeyEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Purayidam Software",
			0,KEY_SET_VALUE,&hKey)==ERROR_SUCCESS)
	{
		RegDeleteKey(hKey,"Wallpaper Changer");
		RegCloseKey(hKey);	
	}
	m_Progress.SetPos(30);

	if(RegCreateKeyEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Purayidam Software\\Wallpaper Changer\\1.1",
		0, NULL, REG_OPTION_NON_VOLATILE ,
		KEY_QUERY_VALUE,NULL,&hKey,&disp)==ERROR_SUCCESS)
	{
		RegSetValueEx(hKey,"Installation Folder",0, REG_SZ,(BYTE * const)str,i+1);	
		RegSetValueEx(hKey,"StartMenu Folder",0, REG_SZ,(BYTE * const)str1,j+1);	
		RegCloseKey(hKey);
	}
	m_Progress.SetPos(40);
	UpdateWindow();
	Path.ReleaseBuffer(i);
	StMnu.ReleaseBuffer(j);
		
	//App Paths entry
	
	Path+="Wallpaper Changer.exe";
	i=Path.GetLength();
	str=Path.GetBuffer(i);

	if(RegCreateKeyEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths\\Wallpaper Changer.exe",
		0, NULL, REG_OPTION_NON_VOLATILE ,
		KEY_QUERY_VALUE,NULL,&hKey,&disp)==ERROR_SUCCESS)
	{
		RegSetValueEx(hKey,NULL,0, REG_SZ,(BYTE * const)str,i+1);	
		RegSetValueEx(hKey,"Path",0, REG_SZ,(BYTE * const)str,i+1);	
		RegCloseKey(hKey);
	}
	m_Progress.SetPos(50);
	Path.ReleaseBuffer(i);

	//REGSTR_PATH_RUN
	Path=(('"'+Path)+'"');
	Path+=" /Change";
	i=Path.GetLength();
	str=Path.GetBuffer(i);

	if(RegOpenKeyEx(HKEY_LOCAL_MACHINE,REGSTR_PATH_RUN,
		0,KEY_SET_VALUE,&hKey)==ERROR_SUCCESS)
	{
		RegSetValueEx(hKey,"Wallpaper Changer",0, REG_SZ,(BYTE * const)str,i+1);
		RegCloseKey(hKey);	
	}
	m_Progress.SetPos(60);
	Path.ReleaseBuffer(i);
	UpdateWindow();

	//set Uninstall string
		//Move UnInstall.exe to system folder	
	Path=Common;
	Path+="\\Wallpaper UnInstall.exe";
	Temp1=theApp.InstFolder;
	Temp1+="UnInstall.exe";
	DeleteFile(Path);
	MoveFile(Temp1,Path);

	i=Path.GetLength();
	str=Path.GetBuffer(i);

	if(RegCreateKeyEx(HKEY_LOCAL_MACHINE,"Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Wallpaper Changer",
		0, NULL, REG_OPTION_NON_VOLATILE ,
		KEY_QUERY_VALUE,NULL,&hKey,&disp)==ERROR_SUCCESS)
	{
		RegSetValueEx(hKey,"DisplayName",0, REG_SZ,(BYTE * const)"Wallpaper Changer 1.1",22);
		RegSetValueEx(hKey,"UninstallString",0, REG_SZ,(BYTE * const)str,i+1);
		RegCloseKey(hKey);	
	}
	Path.ReleaseBuffer(i);
	
	//Check WININIT.INI 
	str=Temp1.GetBuffer(_MAX_PATH);
	GetShortPathName(Path,str,_MAX_PATH);	
	Temp1.ReleaseBuffer(_MAX_PATH);
	CheckINI(Temp1);

	m_Progress.SetPos(70);
	m_Check2.ShowWindow(SW_SHOW);
	UpdateWindow();
	
	
	//Create Start Menu items
	CoInitialize(NULL); //initialise

	Temp1=StMnu;
	Path=theApp.InstFolder;
	Path+="Wallpaper Changer.exe";		
	Temp1+="\\Configure Wallpaper changer.lnk"; //StMnu contains the start Menu Folder name
	CreateLink(Path,Temp1,(LPCSTR)theApp.InstFolder);	
	m_Progress.SetPos(85);

	Temp1=StMnu;
	Path=theApp.InstFolder;
	Path+="Readme.txt";
	Temp1+="\\Readme.lnk";
	CreateLink(Path,Temp1,(LPCSTR)theApp.InstFolder);
	
	CoUninitialize(); 

	m_Check3.ShowWindow(SW_SHOW);
	m_Progress.SetPos(100);

	//End installation
	m_Message.ShowWindow(SW_SHOW);
	m_Ok.EnableWindow();
	UpdateWindow();
	MessageBeep(MB_ICONEXCLAMATION);
	return TRUE;

}

void CStep4::CheckINI(LPCSTR Entry)
{
	HANDLE handle;
	char szWinInitFile[_MAX_PATH]="";
	int fsize=0,counter=0,NewCounter=0,index=0;
	LPSTR lpStr,NewlpStr;
	CString Section,Temp,Temp1,NewSection;
    
	GetWindowsDirectory(szWinInitFile,_MAX_PATH);
	lstrcat(szWinInitFile, "\\WININIT.INI");
	handle = CreateFile(
		szWinInitFile,
		GENERIC_READ,FILE_SHARE_READ,
		NULL,OPEN_EXISTING,
		0,NULL);
	if(handle!=INVALID_HANDLE_VALUE)
	{
		fsize=GetFileSize(handle,NULL);
		CloseHandle(handle);
	}
	lpStr=Section.GetBuffer(fsize+10);
	NewlpStr=NewSection.GetBuffer(fsize+10);

	counter=GetPrivateProfileSection("Rename",lpStr,fsize+50,szWinInitFile);
	if(counter==0)
		return;
	for(int i=0;i<counter;i++)
	{
		Temp+=lpStr[i];
		if(lpStr[i]=='\0')
		{
			index=Temp.Find('=');
			if(index!=-1)
			{
				Temp1=Temp.Right((Temp.GetLength())-index-1);
				Temp1.TrimLeft();
				Temp1.TrimRight();
			}
			else
				Temp1=Temp;
			if(Temp1.CompareNoCase(Entry)!=0)
			{
				for(int j=0,k=Temp.GetLength();j<k;j++)
				{
					NewlpStr[NewCounter]=Temp[j];
					NewCounter++;
				}
			}
			Temp.Empty();
			Temp1.Empty();
		}
			NewlpStr[NewCounter]='\0';
			NewlpStr[NewCounter+1]='\0';
	}
	
	WritePrivateProfileSection("Rename",NewlpStr,szWinInitFile);
}

void CStep4::GetCab(LPSTR ret)
{
	char string[_MAX_PATH];
	CString CabFile;
	int i;

	GetModuleFileName(NULL,string,_MAX_PATH);
	CabFile=string;
	i=CabFile.ReverseFind('\\');
	CabFile=CabFile.Left(i);
	CabFile+="\\Wall1.cab";
	strcpy(ret,(LPCSTR)CabFile);
	return;
}

void CStep4::GetReadMe(LPSTR ret)
{
	char string[_MAX_PATH];
	CString ReadFile;
	int i;

	GetModuleFileName(NULL,string,_MAX_PATH);
	ReadFile=string;
	i=ReadFile.ReverseFind('\\');
	ReadFile=ReadFile.Left(i);
	ReadFile+="\\README.TXT";
	
	strcpy(ret,(LPCSTR)ReadFile);
	return;
}
