// Background ChangerDlg.cpp : implementation file
//

#include "stdafx.h"

#include <string.h>
#include "Background Changer.h"
#include "Background ChangerDlg.h"
#include "SplashScreen.h"
#include <Regstr.h>


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

extern CBackgroundChangerApp theApp;
class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	CString	m_Licensee;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	m_Licensee = _T("");
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	DDX_Text(pDX, IDC_LICENSEE, m_Licensee);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBackgroundChangerDlg dialog

CBackgroundChangerDlg::CBackgroundChangerDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBackgroundChangerDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBackgroundChangerDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_Sp_Scr=NULL;
	Modified=FALSE;
}

void CBackgroundChangerDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBackgroundChangerDlg)
	DDX_Control(pDX, IDC_REMOVE_ALL, m_Remove_All);
	DDX_Control(pDX, IDC_REMOVE, m_Remove);
	DDX_Control(pDX, IDC_CHANGE, m_Change);
	DDX_Control(pDX, IDC_CENTRE, m_Centre);
	DDX_Control(pDX, IDC_BROWSE, m_Browse);
	DDX_Control(pDX, IDC_APPLY, m_Apply);
	DDX_Control(pDX, IDC_CURRENT, m_Current);
	DDX_Control(pDX, IDC_DISABLE, m_Disable);
	DDX_Control(pDX, IDC_NO_OF_FILES, m_No_of_files);
	DDX_Control(pDX, IDC_FILE_LIST, m_File_List);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CBackgroundChangerDlg, CDialog)
	//{{AFX_MSG_MAP(CBackgroundChangerDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	ON_BN_CLICKED(IDC_ABOUTBOX, OnAboutbox)
	ON_BN_CLICKED(IDC_APPLY, OnApply)
	ON_BN_CLICKED(IDC_REMOVE, OnRemove)
	ON_BN_CLICKED(IDC_REMOVE_ALL, OnRemoveAll)
	ON_BN_CLICKED(IDC_CHANGE, OnChangeNow)
	ON_BN_CLICKED(IDC_DISABLE, OnDisableApp)
	ON_BN_CLICKED(IDC_STRETCH, OnStretch)
	ON_BN_CLICKED(IDC_TILE, OnTile)
	ON_BN_CLICKED(IDC_CENTRE, OnCentre)
	ON_WM_CREATE()
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_HLP, OnHlp)
	ON_BN_CLICKED(IDC_SOURCE, OnSource)
	ON_WM_HELPINFO()
	ON_WM_DESTROY()
	ON_LBN_SELCHANGE(IDC_FILE_LIST, OnSelchangeFileList)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBackgroundChangerDlg message handlers

BOOL CBackgroundChangerDlg::OnInitDialog()
{
	char str[_MAX_PATH]="";
	DWORD size=_MAX_PATH;
	CString Files,Temp;
	int no=0;
	CDialog::OnInitDialog();
	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	//Get Current Dir
	GetCurrentDirectory(size,str);
	theApp.CurrentDir=str;
	// Fill in the Files list box with entries from the registry
	Files=theApp.GetProfileString("Configuration","Files","|");
	Temp.Empty();
	for(int i=0,j=Files.GetLength();i<j;i++)
	{
		if (Files[i]!='|')
			Temp+=Files[i];
		else 
		{
			Temp.TrimLeft();
			Temp.TrimRight();
			if(Temp.GetLength()!=0)
				m_File_List.AddString(Temp);
			Temp.Empty();
		}
	}
	No_of_files=m_File_List.GetCount();
	Temp.Format("%d",No_of_files);
	m_No_of_files.SetWindowText((LPCSTR)Temp);
	m_Current.SetWindowText((LPCSTR)GetCurrent());
	
	SetModified(FALSE);				
		
	//Initialise the various variables
	Next_in_line=theApp.GetProfileString("Configuration","Next_in_line","");
	if(Next_in_line.GetLength()==0 &&No_of_files!=0)
		m_File_List.GetText(0,Next_in_line);
	if(No_of_files!=0)
	{
		if(m_File_List.FindStringExact(-1,(LPCSTR)Next_in_line)==LB_ERR)
		m_File_List.GetText(0,Next_in_line);
	}
	else
		Next_in_line="";
	InitDir=theApp.GetProfileString("Configuration","Initial Directory","");
	Enable=theApp.GetProfileString("Configuration","Status","1");//1-Enabled; 0-Disabled
	Arrangement=theApp.GetProfileString("Configuration","Arrangement","0");//0-Centred, 1-tiled, 2-Stretched
	if(Enable=="0")
	{
		m_Disable.SetCheck(TRUE);
		EnableControls(FALSE);
	}
	if(Arrangement=="0")
		CheckRadioButton(IDC_CENTRE,IDC_STRETCH,IDC_CENTRE);
	if(Arrangement=="1")
		CheckRadioButton(IDC_CENTRE,IDC_STRETCH,IDC_TILE);
	if(Arrangement=="2")
		CheckRadioButton(IDC_CENTRE,IDC_STRETCH,IDC_STRETCH);
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CBackgroundChangerDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CBackgroundChangerDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CBackgroundChangerDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CBackgroundChangerDlg::OnBrowse() 
{
//	int no=0;
	int i,j;
	CString File,Temp;
	char buffer[64000];
	POSITION pos;
	buffer[0]='\0';
	CFileDialog dlg(1,NULL,NULL,
		OFN_FILEMUSTEXIST |OFN_HIDEREADONLY ,
		"Background Files|*.bmp;*.jpg;*.jpeg;*.gif;*.dib;*.png|");
	dlg.m_ofn.lpstrInitialDir=(LPCSTR)InitDir;
	dlg.m_ofn.lpstrTitle="Select Background File";
	dlg.m_ofn.lpstrFile=buffer;
	dlg.m_ofn.Flags=dlg.m_ofn.Flags|OFN_ALLOWMULTISELECT;
	dlg.m_ofn.nMaxFile=sizeof(buffer);
	int ret=dlg.DoModal();
	if(ret==IDOK)
	{
		pos=dlg.GetStartPosition();
		i=0;
		while(pos!=NULL)
		{
			File=dlg.GetNextPathName(pos);
			i++;
			if(m_File_List.FindStringExact(-1,File)==LB_ERR)
				m_File_List.AddString(File);
		}
		if(i>1)
		{
			Temp=dlg.GetPathName();		
			InitDir.Format("%s",Temp);
		}
		else if(i=1)
		{
			Temp=dlg.GetPathName();		
			File=dlg.GetFileName();
			i=File.GetLength();
			j=Temp.GetLength();
			i=j-i;
			Temp.GetBufferSetLength(i);
			InitDir=Temp;
		}
		No_of_files=m_File_List.GetCount();
		Temp.Format("%d",No_of_files);
		m_No_of_files.SetWindowText((LPCSTR)Temp);
		SetModified(TRUE);
	}
	else if (ret==IDCANCEL)
	{
//		AfxMessageBox("Too many files selected");
	}
}

void CBackgroundChangerDlg::OnAboutbox() 
{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
}

void CBackgroundChangerDlg::OnApply() 
{
	CString Files="",Temp="";
	HKEY hKey;
	LPSTR str;
	int i=0,j=0;
	j=m_File_List.GetCount();
	for(i=0;i<j && j!=LB_ERR ;i++)
	{
		m_File_List.GetText(i,Temp);
		Temp+='|';
		Files+=Temp;
	}
	
	if(m_Disable.GetCheck()==TRUE)
	{
		Enable="0";
	}
	else
	{
		Enable="1";
		Temp=GetCommandLine();
		Temp +=" /Change";
		i=Temp.GetLength();
		str=Temp.GetBuffer(i);
	if(RegOpenKeyEx(HKEY_LOCAL_MACHINE,REGSTR_PATH_RUN,
		0,KEY_SET_VALUE,&hKey)==ERROR_SUCCESS)
	{
		RegSetValueEx(hKey,"Wallpaper Changer",0, REG_SZ,(BYTE * const)str,i+1);
		RegCloseKey(hKey);	
	}
		Temp.ReleaseBuffer(i);
	}

	//Saving settings to the Registry
	theApp.WriteProfileString("Configuration","Files",Files);	
	theApp.WriteProfileString("Configuration","Next_in_line",Next_in_line);
	theApp.WriteProfileString("Configuration","Initial Directory",InitDir);
	theApp.WriteProfileString("Configuration","Status",Enable);
	theApp.WriteProfileString("Configuration","Arrangement",Arrangement);
	theApp.WriteProfileString("Configuration","Configured","1");
	SetModified(FALSE);
}

void CBackgroundChangerDlg::OnRemove() 
{
	CString Temp;
	if(m_File_List.GetSelCount()==0)
		return;
	int j=m_File_List.GetCount();
	for(int i=0;i<j;)
	{
		m_File_List.GetText(i,Temp);
		if(m_File_List.GetSel(i)==1)
		{
			m_File_List.DeleteString(i);
			j--;
			SetModified(TRUE);
		}
		else
			i++;
	}
	No_of_files=m_File_List.GetCount();
	Temp.Format("%d",No_of_files);
	if(m_File_List.FindStringExact(-1,(LPCSTR)Next_in_line)==LB_ERR)
	{
		if(No_of_files==0)
			Next_in_line="";
		else
			m_File_List.GetText(0,Next_in_line);

	}
	m_No_of_files.SetWindowText((LPCSTR)Temp);	
}

void CBackgroundChangerDlg::OnRemoveAll() 
{
	m_File_List.ResetContent( );
	No_of_files=0;
	m_No_of_files.SetWindowText("0");
	Next_in_line="";
	SetModified(TRUE);
}

void CBackgroundChangerDlg::OnOK() 
{
	if(Modified==TRUE)
	{
		OnApply();
	}
	CDialog::OnOK();
}

void CBackgroundChangerDlg::OnChangeNow() 
{
	int i=0;
	if(m_File_List.GetCount()==0)
	{
		AfxMessageBox("No Files in the list.\nCannot change Wallpaper.\nAdd files and try again");
		return;
	}	

	if( m_File_List.GetSelCount() != 1 )
	{

		if(m_File_List.FindStringExact(-1,(LPCSTR)Next_in_line)==LB_ERR)
			m_File_List.GetText(0,Next_in_line);
	
		if(Next_in_line.GetLength()==0)
			m_File_List.GetText(0,Next_in_line);
	
		//Setting Wallpaper
		theApp.SetWallpaper(Next_in_line, Arrangement);

		i=m_File_List.FindStringExact(-1,(LPCSTR)Next_in_line);
		if(i!=LB_ERR)
		{
			if(m_File_List.GetCount()==i+1)
				m_File_List.GetText(0,Next_in_line);
			else
				m_File_List.GetText((i+1),Next_in_line);
			theApp.WriteProfileString("Configuration","Next_in_line",Next_in_line);
		}
		
	}
	else
	{
		int Index;
		CString Wallpaper;
		m_File_List.GetSelItems( 1, &Index);
		m_File_List.GetText( Index, Wallpaper );
		theApp.SetWallpaper(Wallpaper, Arrangement);
	}
	m_Current.SetWindowText((LPCSTR)GetCurrent());

	
}



void CBackgroundChangerDlg::OnDisableApp() 
{
	SetModified(TRUE);
	if(m_Disable.GetCheck()==TRUE)
	{
		if(AfxMessageBox("Wallpaper Changer 1.0 will not change the wallpaper automatically the next time the computer is restarted.\nAre you sure you want to turn this setting on?",MB_YESNO)==IDNO)
			m_Disable.SetCheck(FALSE);
		else
			EnableControls(FALSE);
	}
	else
		EnableControls(TRUE);
}


void CBackgroundChangerDlg::OnStretch() 
{
	if(Arrangement!="2")
	{
		Arrangement="2";
		SetModified(TRUE);
	}

}

void CBackgroundChangerDlg::OnTile() 
{
	if(Arrangement!="1")
	{
		Arrangement="1";
		SetModified(TRUE);
	}
}

void CBackgroundChangerDlg::OnCentre() 
{
	if(Arrangement!="0")
	{
		Arrangement="0";
		SetModified(TRUE);
	}
	
}

void CBackgroundChangerDlg::SetModified(BOOL flag)
{
	Modified=flag;
	if(flag==TRUE)
		m_Apply.EnableWindow(TRUE);
	else
		m_Apply.EnableWindow(FALSE);
}

CString CBackgroundChangerDlg::GetCurrent()
{
	HKEY hKey;
	DWORD disp;
	char str[_MAX_PATH+1];
	unsigned long size =sizeof(str);
	HRESULT hr;
	wchar_t Wallpaper[ MAX_PATH ];
	IActiveDesktop *pActiveDesktop = NULL;
	CString Name;
	//Create an instance of the Active Desktop
	hr = CoCreateInstance(CLSID_ActiveDesktop, NULL, CLSCTX_INPROC_SERVER,
            IID_IActiveDesktop, (void**)&pActiveDesktop);
	if( hr == S_OK && pActiveDesktop )
	{
		hr = pActiveDesktop->GetWallpaper( Wallpaper, MAX_PATH, 0);
		if( hr == S_OK )
		{
			for( int i = 0; Wallpaper[ i ] != 0; i++ )
			Name += (char) Wallpaper[i];
		}
		return Name;
	}
	
	//RegSetValueEx(hKey,"Wallpaper",0, REG_SZ,(BYTE * const)str,strlen(str)+1)==ERROR_SUCCESS;	
	//Read Registry Key HKEY_CURRENT_USER\\Control Panel\\Desktop\\Wallpaper
	if(RegCreateKeyEx(HKEY_CURRENT_USER, "Control Panel\\Desktop",
		0, NULL, REG_OPTION_NON_VOLATILE ,
		KEY_QUERY_VALUE,NULL,&hKey,&disp)==ERROR_SUCCESS)
	{
		RegQueryValueEx(hKey,"Wallpaper",0,NULL,(BYTE *)str,&size);
		RegCloseKey(hKey);
	}
	return CString((LPCSTR) str);
}
 

int CBackgroundChangerDlg::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;
	m_Sp_Scr=new CSplashScreen;
	m_Sp_Scr->Create(CSplashScreen::IDD,this);	
	m_Sp_Scr->SetWindowPos(&wndTopMost,0,0,0,0,SWP_NOMOVE|SWP_NOSIZE|SWP_SHOWWINDOW);
	m_Sp_Scr->UpdateWindow();
	Timer=SetTimer(ID_MY_TIMER,2000,NULL);
	if(Timer==0)
	{
		m_Sp_Scr->DestroyWindow();//Close the Splash screen
		delete m_Sp_Scr;
	}
	return 0;
}


void CBackgroundChangerDlg::OnTimer(UINT nIDEvent) 
{
	if(nIDEvent==ID_MY_TIMER)
	{
		m_Sp_Scr->DestroyWindow();
		delete m_Sp_Scr;
		m_Sp_Scr=NULL;
		KillTimer(Timer);
	}
	CDialog::OnTimer(nIDEvent);
}


void CBackgroundChangerDlg::OnHlp() 
{
	SetCurrentDirectory(theApp.CurrentDir);
	::WinHelp(m_hWnd,"Wallpaper Changer.hlp",HELP_CONTEXT,ID_MY_HELP);
	
}

void CBackgroundChangerDlg::OnSource() 
{
	SetCurrentDirectory(theApp.CurrentDir);
	::WinHelp(m_hWnd,"Wallpaper Changer.hlp",HELP_CONTEXT,ID_SOURCE);
}

BOOL CBackgroundChangerDlg::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	SetCurrentDirectory(theApp.CurrentDir);
	::WinHelp(m_hWnd,"Wallpaper Changer.hlp",HELP_CONTEXTPOPUP,pHelpInfo->iCtrlId);
	return TRUE;
	
//	return CDialog::OnHelpInfo(pHelpInfo);
}

BOOL CBackgroundChangerDlg::EnableControls(BOOL bEnable)
{
	CButton *Radio;
	m_Browse.EnableWindow(bEnable);
	m_Remove.EnableWindow(bEnable);
	m_Remove_All.EnableWindow(bEnable);
	m_Change.EnableWindow(bEnable);
	m_File_List.EnableWindow(bEnable);
	Radio=(CButton *)GetDlgItem(IDC_CENTRE);
	Radio->EnableWindow(bEnable);
	Radio=(CButton *)GetDlgItem(IDC_TILE);
	Radio->EnableWindow(bEnable);
	Radio=(CButton *)GetDlgItem(IDC_STRETCH);
	Radio->EnableWindow(bEnable);

	return TRUE;
}

void CBackgroundChangerDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	::WinHelp(m_hWnd,"Wallpaper Changer.hlp",HELP_QUIT ,0);	//Close any help files if open
}

BOOL CAboutDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	HKEY hKey;
	char str[40];
	unsigned long size = 40;
	if(RegOpenKeyEx(HKEY_LOCAL_MACHINE,"Software\\Microsoft\\Windows\\CurrentVersion",
		0,KEY_SET_VALUE,&hKey)==ERROR_SUCCESS)
	{
		RegQueryValueEx(hKey,"RegisteredOwner",0,NULL,(BYTE *)str,&size);
		RegCloseKey(hKey);	
	}	
	m_Licensee.Format("Licensed to : %s",str);
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CBackgroundChangerDlg::OnSelchangeFileList() 
{
	// TODO: Add your control notification handler code here
	if( m_File_List.GetSelCount() <= 1 )
		m_Change.EnableWindow( TRUE );
	else
		m_Change.EnableWindow( FALSE );
}
